path: /build/build/libudev-virtual-232+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-systemd static-libs" emerge virtual/libudev -pv -t
  - |
    USE="-systemd static-libs" emerge -j ${JOBS} --nodeps virtual/libudev
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libudev && luet-portage --dir
    /pkgdir/libudev virtual/libudev
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:20abae754802f73ff1037c3a8d8342e9e236a41e87cf4a3f13ea10d16e682065
  package:
    name: libudev
    version: 232+1
    category: virtual
    use_flags:
    - -systemd
    - static-libs
    requires:
    - name: eudev
      version: '>=0'
      category: sys-fs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for libudev providers
    uri:
    - ""
    buildtimestamp: 2024-09-28 09:02:17.68860991 +0000 UTC m=+192.666617101
    labels:
      IUSE: static-libs systemd abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: '!systemd? ( static-libs? ( >=sys-fs/eudev-1.3:0/0[-mgorny(-),static-libs(-)]
        ) !static-libs? ( || ( >=sys-fs/eudev-1.3:0/0[-mgorny(-)] >=sys-fs/udev-232:0/0[-mgorny(-)]
        ) ) ) systemd? ( >=sys-apps/systemd-212-r5:0/2[-mgorny(-)] )'
      emerge.packages: virtual/libudev
      kit: core-kit
      original.package.name: virtual/libudev
      original.package.slot: "0"
      original.package.version: "232"
    treedir: /build/packages
  package_dir: /pkgdir/libudev
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b0d88db759370597dfb636ed78a9e85d2548fa3fad1cdc51e44fbda7a09fb5e2
compressiontype: zstd
files:
- var/db/pkg/virtual/libudev-232/BUILD_TIME
- var/db/pkg/virtual/libudev-232/CATEGORY
- var/db/pkg/virtual/libudev-232/CBUILD
- var/db/pkg/virtual/libudev-232/CFLAGS
- var/db/pkg/virtual/libudev-232/CHOST
- var/db/pkg/virtual/libudev-232/COUNTER
- var/db/pkg/virtual/libudev-232/CTARGET
- var/db/pkg/virtual/libudev-232/CXX
- var/db/pkg/virtual/libudev-232/CXXFLAGS
- var/db/pkg/virtual/libudev-232/DEFINED_PHASES
- var/db/pkg/virtual/libudev-232/DESCRIPTION
- var/db/pkg/virtual/libudev-232/EAPI
- var/db/pkg/virtual/libudev-232/FEATURES
- var/db/pkg/virtual/libudev-232/INHERITED
- var/db/pkg/virtual/libudev-232/IUSE
- var/db/pkg/virtual/libudev-232/IUSE_EFFECTIVE
- var/db/pkg/virtual/libudev-232/KEYWORDS
- var/db/pkg/virtual/libudev-232/LDFLAGS
- var/db/pkg/virtual/libudev-232/LICENSE
- var/db/pkg/virtual/libudev-232/PF
- var/db/pkg/virtual/libudev-232/RDEPEND
- var/db/pkg/virtual/libudev-232/SIZE
- var/db/pkg/virtual/libudev-232/SLOT
- var/db/pkg/virtual/libudev-232/USE
- var/db/pkg/virtual/libudev-232/environment.bz2
- var/db/pkg/virtual/libudev-232/libudev-232.ebuild
- var/db/pkg/virtual/libudev-232/repository
package_cacheimage: ""
runtime:
  name: libudev
  version: 232+1
  category: virtual
  use_flags:
  - -systemd
  - static-libs
  requires:
  - name: eudev
    version: '>=0'
    category: sys-fs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for libudev providers
  uri:
  - ""
  labels:
    IUSE: static-libs systemd abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: '!systemd? ( static-libs? ( >=sys-fs/eudev-1.3:0/0[-mgorny(-),static-libs(-)]
      ) !static-libs? ( || ( >=sys-fs/eudev-1.3:0/0[-mgorny(-)] >=sys-fs/udev-232:0/0[-mgorny(-)]
      ) ) ) systemd? ( >=sys-apps/systemd-212-r5:0/2[-mgorny(-)] )'
    emerge.packages: virtual/libudev
    kit: core-kit
    original.package.name: virtual/libudev
    original.package.slot: "0"
    original.package.version: "232"
